
# David - 3.0-0.beta1.4mdk - Reminder: 8.0 is for IA32 and PPC
#                                      8.1 is for IA32 and IA64
#                                      8.2 is for IA32, IA64 and PPC

# David - 3.0-0.beta1.4mdk - Define macro used to control build options for
#                            each LMDK distributions
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.2 ]; then echo 1; else echo 0; fi)}

# David - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor9_2
%define unstable 0
%else
%define unstable 0
%endif

%define lib_name_orig %mklibname kdenetwork_kroupware
%define lib_major 2
%define lib_name %lib_name_orig%lib_major


# QTDIR is always /usr/lib/qt3, whether that's a lib64 architecture or
# not (sublibdirs are correctly qualified in the latter case however).
%define qtdir   %{_prefix}/lib/qt3

Name:		kdenetwork_kroupware
Summary:	K Desktop Environment - Network Applications
Version:    1.0.1
Release:    1mdk
Epoch:		1
Group:          Development/KDE and Qt
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>
URL:		http://www.kde.org/
License:	GPL

Source:     kdenetwork-kroupware-%version.tar.bz2
Source1:	kdenetwork3-kppp.pamd

Source2: 	kdenetwork-lisa

# Not perfect => not apply 3.0-4mdk
Patch1:		kdenetwork3-kmail-default-color.patch.bz2

Patch2:		kdenetwork-3.0.2-launch-spellchecking-config-when-it-didnot-configurate.patch.bz2


# Laurent 3.0.2-2mdk patch for ix64!
Patch4:     kde-lib64updates.patch.bz2


# Laurent 3.0.2-10mdk  Remove unused config action in ksirc.
Patch6:		kdenetwork-3.0.2-remove-unused-preference.patch.bz2






# Laurent - 3.0.3-8mdk - fix save config when we close knode config dialogbox
Patch12:	kdenetwork-3.0.3-fix-sync-config-when-we-close-config-dialogbox.patch.bz2

# Laurent - 3.0.3-9mdk - fix knode "copy link location" 
Patch13:	kdenetwork-3.0.3-fix-copy-link-location.patch.bz2

Patch14:	kdenetwork-3.1-fix-compile.patch.bz2

# Laurent - 3.1-4mdk - add device for usb modem
Patch15:	kdenetwork-3.1-add-device.patch.bz2




# Laurent - 3.1-28mdk - add usb acm entry
Patch19:	kdenetwork-3.1-add-usb-modem-acm.patch.bz2


# Laurent - 3.1-29mdk - fix kmail mail notification when kmail is started in other WM that kde
Patch21:	kdenetwork-3.1-fix-notification-when-kmail-doesnt-start-in-kde.patch.bz2





Patch26:	kdenetwork-3.1-fix-patternedit.patch.bz2
Patch27:	kdenetwork-3.1-fix-disable-find-action.patch.bz2

Patch28:	kdenetwork-3.1.1-add-sound-filter-action.patch.bz2

Patch29:	kdenetwork-3.1.1-add-double-click-on-filter-to-rename-it.patch.bz2

Patch30:	kdenetwork-3.1.1-syntaxhighlighter.patch.bz2
Patch31:	kdenetwork-3.1.1-syntaxhighlighter2.patch.bz2
Patch32:	kdenetwork-3.1.1-syntaxhighlighter3.patch.bz2
Patch33:	kdenetwork-3.1.1-syntaxhighlighter4.patch.bz2
Patch34:	kdenetwork-3.1.1-syntaxhighlighter5.patch.bz2

Patch35:	kdenetwork-3.1.1-use-kurlrequester-in-kmail-filter-action.patch.bz2

Patch36:	kdenetwork-3.1.1-add-global-spellchecking.patch.bz2

Patch37:	kdenetwork-3.1.1-add-knode-syntaxhighlighter.patch.bz2

Patch38:	kdenetwork-3.1.1-add-spell-check-in-toolbar.patch.bz2

Patch39:	kdenetwork-3.1.1-add-paste-as-quoting-in-kmail.patch.bz2

# Laurent - 3.1.1-16mdk add "add to bookmarks action" fix i18n
Patch40:	kdenetwork-3.1.1-add-knode-addbookmarks-action.patch.bz2


# Add kmail subject spell check
Patch42:	kdenetwork-3.1.1-add-subject-spell-check.patch.bz2

# Add knode subject spell check, all to paste/copy/selectall in all widget
Patch43:	kdenetwork-3.1.1-add-knode-subject-spell-check.patch.bz2

# Add kmail save all attachement
Patch44:	kdenetwork-3.1.1-fix-save-all-attachment.patch.bz2

Patch45:	kdenetwork-3.1.1-fix-spell-check.patch.bz2

Patch46:	kdenetwork-3.1.2-add-knode-quote-paragraph.patch.bz2

Patch47:	kdenetwork-3.1.2-add-kmail-quote-paragraph.patch.bz2


Patch49:	kdenetwork-3.1.2-fix-kmail-crash.patch.bz2

Patch50:	kdenetwork-3.1.2-fix-knode-gui.patch.bz2

Patch51:	kdenetwork-3.1.2-fix-kmail-spell.patch.bz2

Patch52:	kdenetwork-3.1.2-add-bookmarks-feature.patch.bz2


Patch54:	kdenetwork-3.1.2-kmail-undo-multiple-message.patch.bz2

Patch55:	kdenetwork-3.1.2-fix-syntaxhighlighter-mem-leak.patch.bz2


Patch56:	kdenetwork-3.1.1-syntaxhighlighter6.patch.bz2

# Now we can install automake-1.4 and automake-1.7 in parallele
# we can use make -f Makefile.cvs
Patch5000:  kde-fix-automake-autoconf.patch.bz2


Patch100:	kdenetwork-kroupware-1.0.1-fix-compile.patch.bz2


BuildRoot:	%_tmppath/%name-%version-%release-root

# David - 3.0-0.beta1.4mdk - For kppp, kdebase for kio_pop3
Requires:	kdebase >= 3.1
Requires:	kdelibs >= 3.1.1-15mdk
Obsoletes:	kdenetwork3

Requires:	%lib_name = %version-%release

Conflicts:	kdebase =< 2.2.2-93mdk


%if %buildfor9_1
BuildRequires: automake1.6
%endif

%if %buildfor9_2
BuildRequires: automake1.7
%endif


%if %buildfor9_0 || %buildfor9_1 || %buildfor9_2
BuildRequires:  XFree86-devel XFree86-libs XFree86-static-libs arts
BuildRequires:  automake diffutils file freetype2-devel gawk gcc-c++
BuildRequires:  gcc-cpp gettext kdelibs-devel
BuildRequires:  libMesaGLU1 libalsa2-devel libarts-devel  libaudiofile0-devel
BuildRequires:  libbinutils2 libbzip2_1-devel libintl2 libjpeg62-devel liblcms1
BuildRequires:  libmng1-devel libpng3-devel libqt3-devel
BuildRequires:  libtermcap2 m4 mktemp perl-MDK-Common
BuildRequires:  popt rpm-build texinfo zlib1-devel libxml2-devel libxslt-devel
BuildRequires:	libopenslp1-devel
%endif


%description
Networking applications for the K Desktop Environment.

- kdict: graphical client for the DICT protocol.
- kit: AOL instant messenger client, using the TOC protocol
- kmail: universal mail client
- kmailcvt: converst addressbooks to kmail format
- knewsticker: RDF newsticker applet
- knode: online newsreader
- korn: new mail notification tool
- kpf: public fileserver applet
- ksirc: IRC client
- ktalkd: talk daemon
- kxmlrpc: KDE XmlRpc Daemon
- lanbrowsing: lan browsing kio slave
- krfb: Desktop Sharing server, allow others to access your desktop via VNC
- krdc: a client for Desktop Sharing and other VNC servers


%package -n %lib_name
Group:      Development/KDE and Qt
Summary:    Libraries for kdenetwork
PreReq:     libqt3
Requires:   %name

%description -n %lib_name
Libraries for kdenetwork (kroupware).


%package  -n %lib_name-devel
Summary:	Header files for kdenetwork
Group:		Development/KDE and Qt
PreReq:		%name = %version-%release

%description  -n %lib_name-devel
Header files for kdenetwork.


%package -n lisa
Group:      Graphical desktop/KDE
Summary:    Lisa server
Requires:	%name >= %version-%release

%description -n lisa
LISa is intended to provide a kind of "network neighbourhood" but only
relying on the TCP/IP protocol stack, no smb or whatever.


%package -n %name-kppp
Group:      Graphical desktop/KDE
Summary:    Dialer and front end for pppd
Requires:   %name >= %version-%release, ppp

%description -n %name-kppp
Kppp is a dialer and front end for pppd.


%prep

%setup -q -n kdenetwork-kroupware-%version
%patch2 -p1
#%patch4 -p1
%patch6 -p1
#%patch12 -p1
%patch13 -p1
%patch15 -p1
%patch19 -p1

#%patch21 -p1



#%patch26 -p1
#%patch27 -p1

#%patch28 -p1
#%patch29 -p1

%if %buildfor9_2 || %buildfor9_1

#%patch30 -p1
#%patch31 -p1
#%patch32 -p1
#%patch33 -p1
#%patch34 -p1
#%patch35 -p1

#%patch36 -p1
#%patch37 -p1
#%patch38 -p1
#%patch39 -p1

#%patch40 -p1


#%patch42 -p1

#%patch43 -p1
#%patch44 -p1
#%patch45 -p1
#%patch46 -p1
#%patch47 -p1



#%patch5000 -p1
%endif

#%patch49 -p1



#%patch50 -p1

#%patch51 -p1

#%patch52 -p1


#%patch54 -p1

#%patch55 -p1
#%patch56 -p1

%patch100 -p1

%build

%if %buildfor9_2 || %buildfor9_1
#make -f admin/Makefile.common cvs
%endif

export QTDIR=%qtdir
export KDEDIR=%_prefix

export LD_LIBRARY_PATH="$QTDIR:/%_lib:$LD_LIBRARY_PATH"
export PATH="$KDEDIR/bin:$PATH"

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure


%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
	./configure --prefix=%_prefix \
		    --libdir=%_libdir \
	            --sysconfdir=%_sysconfdir \
	            --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable
			--enable-debug=full \
%else
			--disable-debug \
%endif			
		    --disable-final \
		    --enable-shared \
		    --disable-static \
		    --disable-qt-embedded \
		    --disable-palm-top \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
		    --with-xinerama \
                    --x-includes=/usr/X11R6/include \
                    --x-libraries=/usr/X11R6/%_lib

%make


%install
rm -fr %buildroot
# David - 3.0-0.beta1.4mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot

install -d -m 0755 %buildroot/etc/rc.d/init.d
install -m 0755 %SOURCE2 %buildroot/etc/rc.d/init.d/lisa


install -d -m 0755 %buildroot/%_sysconfdir/pam.d/
install -m 0644 %SOURCE1 %buildroot/%_sysconfdir/pam.d/kppp

chmod u+s %buildroot/%_bindir/kppp

# Create LMDK menu structure
install -d -m 0755 %buildroot/%_menudir/

# %%_datadir/applnk/.hidden
kdedesktop2mdkmenu.pl kdenetwork .hidden %buildroot/%_datadir/applnk/.hidden/kcmkiolan.desktop %buildroot/%_menudir/kdenetwork-kcmkiolan kde
kdedesktop2mdkmenu.pl kdenetwork .hidden %buildroot/%_datadir/applnk/.hidden/kcmlisa.desktop %buildroot/%_menudir/kdenetwork-kcmlisa kde
kdedesktop2mdkmenu.pl kdenetwork .hidden %buildroot/%_datadir/applnk/.hidden/kcmnewsticker.desktop %buildroot/%_menudir/kdenetwork-kcmnewsticker kde
kdedesktop2mdkmenu.pl kdenetwork .hidden %buildroot/%_datadir/applnk/.hidden/kcmreslisa.desktop %buildroot/%_menudir/kdenetwork-kcmreslisa kde
kdedesktop2mdkmenu.pl kdenetwork .hidden %buildroot/%_datadir/applnk/.hidden/knewstickerstub.desktop %buildroot/%_menudir/kdenetwork-knewstickerstub kde



# %%_datadir/applnk/Internet/
kdedesktop2mdkmenu.pl kdenetwork "Networking/File transfer" %buildroot/%_datadir/applnk/Internet/kget.desktop %buildroot/%_menudir/kdenetwork-kget
kdedesktop2mdkmenu.pl kdenetwork "Networking/Instant messaging" %buildroot/%_datadir/applnk/Internet/kit.desktop %buildroot/%_menudir/kdenetwork-kit
kdedesktop2mdkmenu.pl kdenetwork Networking/Mail %buildroot/%_datadir/applnk/Internet/KMail.desktop %buildroot/%_menudir/kdenetwork-kmail
kdedesktop2mdkmenu.pl kdenetwork Networking/News %buildroot/%_datadir/applnk/Internet/KNode.desktop %buildroot/%_menudir/kdenetwork-knode
kdedesktop2mdkmenu.pl kdenetwork "Networking/Remote access" %buildroot/%_datadir/applnk/Internet/Kppp.desktop %buildroot/%_menudir/kdenetwork-kppp
kdedesktop2mdkmenu.pl kdenetwork "Networking/Remote access" %buildroot/%_datadir/applnk/Internet/krdc.desktop %buildroot/%_menudir/kdenetwork-krdc
kdedesktop2mdkmenu.pl kdenetwork Networking/IRC %buildroot/%_datadir/applnk/Internet/ksirc.desktop %buildroot/%_menudir/kdenetwork-ksirc kde 

# %%_datadir/applnk/Internet/More
kdedesktop2mdkmenu.pl kdenetwork Networking/Mail %buildroot/%_datadir/applnk/Internet/More/KOrn.desktop %buildroot/%_menudir/kdenetwork-korn
kdedesktop2mdkmenu.pl kdenetwork Networking/News %buildroot/%_datadir/applnk/Internet/More/knewsticker-standalone.desktop %buildroot/%_menudir/kdenetwork-knewsticker-standalone
kdedesktop2mdkmenu.pl kdenetwork "Networking/Remote access" %buildroot/%_datadir/applnk/Internet/More/kppplogview.desktop %buildroot/%_menudir/kdenetwork-kppplogview


# %%_datadir/applnk/Settings/Network/
kdedesktop2mdkmenu.pl kdenetwork Configuration/KDE/Network %buildroot/%_datadir/applnk/Settings/Network/kcmktalkd.desktop %buildroot/%_menudir/kdenetwork-kcmktalkd kde
kdedesktop2mdkmenu.pl kdenetwork Configuration/KDE/Network %buildroot/%_datadir/applnk/Settings/Network/kcmkrfb.desktop %buildroot/%_menudir/kdenetwork-kcmkrfb kde
#kdedesktop2mdkmenu.pl lisa Configuration/KDE/Network %buildroot/%_datadir/applnk/Settings/Network/lanbrowser.desktop %buildroot/%_menudir/kdenetwork-lanbrowser kde

# %%_datadir/applnk/System/
kdedesktop2mdkmenu.pl kdenetwork "Networking/Remote access" %buildroot/%_datadir/applnk/System/krfb.desktop %buildroot/%_menudir/kdenetwork-krfb kde

# %%_datadir/applnk/Utilities/
kdedesktop2mdkmenu.pl kdenetwork "Applications/Text tools" %buildroot/%_datadir/applnk/Utilities/kdict.desktop %buildroot/%_menudir/kdenetwork-kdict


%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig


%post -n lisa
/sbin/ldconfig
%update_menus
%_post_service lisa

%preun -n lisa
/sbin/ldconfig
%clean_menus
%_preun_service lisa


%post -n %name-kppp
/sbin/ldconfig
%update_menus

%postun -n %name-kppp
/sbin/ldconfig
%clean_menus

%clean
rm -fr %buildroot





%files 
%defattr(-,root,root,-)
#
#
#
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
#
%dir %_docdir/HTML/en/kit/
%doc %_docdir/HTML/en/kit/common
%doc %_docdir/HTML/en/kit/*.docbook
%doc %_docdir/HTML/en/kit/*.bz2
#
%dir %_docdir/HTML/en/kmail/
%doc %_docdir/HTML/en/kmail/common
%doc %_docdir/HTML/en/kmail/*.docbook
%doc %_docdir/HTML/en/kmail/*.bz2
#
%dir %_docdir/HTML/en/knewsticker/
%doc %_docdir/HTML/en/knewsticker/common
%doc %_docdir/HTML/en/knewsticker/TODO
%doc %_docdir/HTML/en/knewsticker/*.docbook
%doc %_docdir/HTML/en/knewsticker/*.png
%doc %_docdir/HTML/en/knewsticker/*.bz2
#
%dir %_docdir/HTML/en/knode/
%doc %_docdir/HTML/en/knode/common
%doc %_docdir/HTML/en/knode/*.docbook
%doc %_docdir/HTML/en/knode/*.png
%doc %_docdir/HTML/en/knode/*.bz2
#
%dir %_docdir/HTML/en/korn/
%doc %_docdir/HTML/en/korn/common
%doc %_docdir/HTML/en/korn/*.docbook
%doc %_docdir/HTML/en/korn/*.bz2
##
%dir %_docdir/HTML/en/ksirc/
%doc %_docdir/HTML/en/ksirc/common
%doc %_docdir/HTML/en/ksirc/*.docbook
%doc %_docdir/HTML/en/ksirc/*.bz2
#
%dir %_docdir/HTML/en/ktalkd/
%doc %_docdir/HTML/en/ktalkd/common
%doc %_docdir/HTML/en/ktalkd/*.docbook
%doc %_docdir/HTML/en/ktalkd/*.bz2
#
%dir %_docdir/HTML/en/kpf/
%doc %_docdir/HTML/en/kpf/common
%doc %_docdir/HTML/en/kpf/*.docbook
%doc %_docdir/HTML/en/kpf/*.bz2
#
%dir %_docdir/HTML/en/kdict/
%doc %_docdir/HTML/en/kdict/common
%doc %_docdir/HTML/en/kdict/*.docbook
%doc %_docdir/HTML/en/kdict/*.png
%doc %_docdir/HTML/en/kdict/*.bz2
#
#

%dir %_docdir/HTML/en/krfb/
%doc %_docdir/HTML/en/krfb/common
%doc %_docdir/HTML/en/krfb/*.bz2
%doc %_docdir/HTML/en/krfb/*.docbook

%dir %_docdir/HTML/en/kcontrol/
%dir %_docdir/HTML/en/kcontrol/kcmtalkd/
%doc %_docdir/HTML/en/kcontrol/kcmtalkd/common
%doc %_docdir/HTML/en/kcontrol/kcmtalkd/*.bz2
%doc %_docdir/HTML/en/kcontrol/kcmtalkd/*.docbook

%dir %_docdir/HTML/en/kcontrol/kxmlrpcd/
%doc %_docdir/HTML/en/kcontrol/kxmlrpcd/common
%doc %_docdir/HTML/en/kcontrol/kxmlrpcd/*.bz2
%doc %_docdir/HTML/en/kcontrol/kxmlrpcd/*.docbook

%dir %_docdir/HTML/en/kcontrol/lanbrowser/
%doc %_docdir/HTML/en/kcontrol/lanbrowser/common
%doc %_docdir/HTML/en/kcontrol/lanbrowser/*.bz2
%doc %_docdir/HTML/en/kcontrol/lanbrowser/*.docbook

%dir %_docdir/HTML/en/kgpgcertmanager/
%doc %_docdir/HTML/en/kgpgcertmanager/common
%doc %_docdir/HTML/en/kgpgcertmanager/*.bz2
%doc %_docdir/HTML/en/kgpgcertmanager/*.docbook


#
%_bindir/dsirc            
%_bindir/kmail            
#%_bindir/kotalkd      
%_bindir/ksirc     
%_bindir/mail.local
%_bindir/kdict            
%_bindir/kmailcvt         
#%_bindir/kppp         
%_bindir/ktalkd    
#%_bindir/reslisa
%_bindir/kget             
%_bindir/knewstickerstub 
#%_bindir/kppplogview  
%_bindir/ktalkdlg
%_bindir/kgpgcertmanager  
%_bindir/knode            
%_bindir/krdc         
%_bindir/kxmlrpcd
%_bindir/kit              
%_bindir/korn             
%_bindir/krfb         
#%_bindir/lisa
%_bindir/ktnef
#
#
%_menudir/kdenetwork-kcmkiolan      
%_menudir/kdenetwork-knewsticker-standalone
%_menudir/kdenetwork-kcmkrfb        
%_menudir/kdenetwork-knewstickerstub
%_menudir/kdenetwork-kcmktalkd      
%_menudir/kdenetwork-knode
#%_menudir/kdenetwork-kcmlisa        
%_menudir/kdenetwork-korn
%_menudir/kdenetwork-kcmnewsticker  
#%_menudir/kdenetwork-kppp
#%_menudir/kdenetwork-kcmreslisa     
#%_menudir/kdenetwork-kppplogview
%_menudir/kdenetwork-kdict          
%_menudir/kdenetwork-krdc
%_menudir/kdenetwork-kget           
%_menudir/kdenetwork-krfb
%_menudir/kdenetwork-kit            
%_menudir/kdenetwork-ksirc
%_menudir/kdenetwork-kmail




#
#
#
%dir %_datadir/applnk/
#
#
%dir %_datadir/applnk/Internet/
%_datadir/applnk/Internet/KMail.desktop
#%_datadir/applnk/Internet/Kppp.desktop
%_datadir/applnk/Internet/kit.desktop
%_datadir/applnk/Internet/krdc.desktop
%_datadir/applnk/Internet/KNode.desktop
%_datadir/applnk/Internet/knewsticker-standalone.desktop
%_datadir/applnk/Internet/ksirc.desktop
%_datadir/applnk/Internet/KOrn.desktop
%_datadir/applnk/Internet/kget.desktop
#%_datadir/applnk/Internet/kppplogview.desktop

%dir %_datadir/applnk/Internet/More/
%_datadir/applnk/Internet/More/KOrn.desktop  
%_datadir/applnk/Internet/More/knewsticker-standalone.desktop  
#%_datadir/applnk/Internet/More/kppplogview.desktop

%dir %_datadir/applnk/Utilities/
%_datadir/applnk/Utilities/*.desktop

%dir %_datadir/applnk/System/
%_datadir/applnk/System/*.desktop

%dir %_datadir/applnk/.hidden/
%_datadir/applnk/.hidden/kcmkiolan.desktop
%_datadir/applnk/.hidden/kcmnewsticker.desktop
%_datadir/applnk/.hidden/knewstickerstub.desktop


#
#
%dir %_datadir/applnk/Settings/
%dir %_datadir/applnk/Settings/Personalization/
%_datadir/applnk/Settings/Personalization/*.desktop
#
%dir %_datadir/applnk/Settings/Network/
%_datadir/applnk/Settings/Network/kcmkrfb.desktop
%_datadir/applnk/Settings/Network/kcmktalkd.desktop
# LAurent fix conflict with kdebase
#%_datadir/applnk/Settings/Network/lanbrowser.desktop
#
#
%dir %_datadir/applnk/Utilities/
%_datadir/applnk/Utilities/kmailcvt.desktop
%_datadir/applnk/Utilities/kdict.desktop
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/kdict/
%_datadir/apps/kdict/kdictui.rc
#
%dir %_datadir/apps/kdict/icons/
%dir %_datadir/apps/kdict/icons/crystalsvg/
%dir %_datadir/apps/kdict/icons/crystalsvg/16x16/
%dir %_datadir/apps/kdict/icons/crystalsvg/16x16/actions/
%_datadir/apps/kdict/icons/crystalsvg/16x16/actions/*.png
%dir %_datadir/apps/kdict/icons/crystalsvg/22x22/
%dir %_datadir/apps/kdict/icons/crystalsvg/22x22/actions/
%_datadir/apps/kdict/icons/crystalsvg/22x22/actions/*.png
%dir %_datadir/apps/kdict/icons/crystalsvg/32x32/
%dir %_datadir/apps/kdict/icons/crystalsvg/32x32/actions/
%_datadir/apps/kdict/icons/crystalsvg/32x32/actions/*.png
#
#
%dir %_datadir/apps/kicker/
%dir %_datadir/apps/kicker/applets/
%_datadir/apps/kicker/applets/*.desktop
#
%dir %_datadir/apps/krdc/
%dir %_datadir/apps/krdc/pics/
%_datadir/apps/krdc/pics/*.png

%dir %_datadir/apps/krfb/
%_datadir/apps/krfb/eventsrc
%dir %_datadir/apps/krfb/pics/
%_datadir/apps/krfb/pics/*.png


%dir %_datadir/apps/khtml/
%dir %_datadir/apps/khtml/kpartplugins/
%_datadir/apps/khtml/kpartplugins/*.rc

#
%dir %_datadir/apps/kit/
%_datadir/apps/kit/eventsrc
%_datadir/apps/kit/*.rc
#
%dir %_datadir/apps/kit/icons/
%dir %_datadir/apps/kit/icons/crystalsvg/
%dir %_datadir/apps/kit/icons/crystalsvg/16x16/
%dir %_datadir/apps/kit/icons/crystalsvg/16x16/actions/
%_datadir/apps/kit/icons/crystalsvg/16x16/actions/*.png
#
#
%dir %_datadir/apps/kmail/
%_datadir/apps/kmail/*.rc
%_datadir/apps/kmail/*-rc
%_datadir/apps/kmail/eventsrc
%_datadir/apps/kmail/tips

#
%dir %_datadir/apps/kmail/about/
%_datadir/apps/kmail/about/*.css
%_datadir/apps/kmail/about/*.html
%_datadir/apps/kmail/about/*.png
#
%dir %_datadir/apps/kmail/pics/
%_datadir/apps/kmail/pics/*.png
%_datadir/apps/kmail/pics/*.xbm
#
#
%dir %_datadir/apps/knewsticker/
%_datadir/apps/knewsticker/eventsrc
#
#
%dir %_datadir/apps/knode/
%_datadir/apps/knode/*.rc
%dir %_datadir/apps/knode/filters/
%_datadir/apps/knode/filters/*.fltr
%_datadir/apps/knode/filters/*.rc
#
%dir %_datadir/apps/knode/icons/
%dir %_datadir/apps/knode/icons/crystalsvg/
%dir %_datadir/apps/knode/icons/crystalsvg/16x16/
%dir %_datadir/apps/knode/icons/crystalsvg/16x16/actions/
%_datadir/apps/knode/icons/crystalsvg/16x16/actions/*.png

%dir %_datadir/apps/knode/icons/crystalsvg/22x22/
%dir %_datadir/apps/knode/icons/crystalsvg/22x22/actions/
%_datadir/apps/knode/icons/crystalsvg/22x22/actions/*.png

%dir %_datadir/apps/knode/icons/crystalsvg/32x32/
%dir %_datadir/apps/knode/icons/crystalsvg/32x32/actions/
%_datadir/apps/knode/icons/crystalsvg/32x32/actions/*.png
#
#
%dir %_datadir/apps/knode/pics/
%_datadir/apps/knode/pics/*.png
#
#
%dir %_datadir/apps/konqueror/
%dir %_datadir/apps/konqueror/dirtree/
%dir %_datadir/apps/konqueror/dirtree/remote/
%_datadir/apps/konqueror/dirtree/remote/*.desktop
#
#

#
%dir %_datadir/apps/kgpgcertmanager/
%_datadir/apps/kgpgcertmanager/*.rc
#
%dir %_datadir/apps/ksirc/
%_datadir/apps/ksirc/relnotes
%_datadir/apps/ksirc/*.gz
%_datadir/apps/ksirc/*.ini
%_datadir/apps/ksirc/*.pl
%_datadir/apps/ksirc/*.txt
%_datadir/apps/ksirc/eventsrc
#
%dir %_datadir/apps/ksirc/pics/
%_datadir/apps/ksirc/pics/*.png
%_datadir/apps/ksirc/pics/*.xpm
%dir %_datadir/apps/ksirc/pics/emoticons/
%_datadir/apps/ksirc/pics/emoticons/*.png
#
#
%dir %_datadir/apps/lisa/
%_datadir/apps/lisa/README
#
%dir %_datadir/apps/kconf_update/
%_datadir/apps/kconf_update/*.upd
%_datadir/apps/kconf_update/*.pl
#
%dir %_datadir/apps/kget/
%_datadir/apps/kget/*.rc

%dir %_datadir/apps/kget/pics/
%_datadir/apps/kget/pics/*.png

%dir %_datadir/apps/kget/sounds/
%_datadir/apps/kget/sounds/*.wav

%dir %_datadir/apps/kget/icons/
%dir %_datadir/apps/kget/icons/crystalsvg/
%dir %_datadir/apps/kget/icons/crystalsvg/22x22/
%dir %_datadir/apps/kget/icons/crystalsvg/22x22/actions/
%_datadir/apps/kget/icons/crystalsvg/22x22/actions/*.png


%dir %_datadir/apps/kinetd/
%_datadir/apps/kinetd/eventsrc
#
%_datadir/config/ksircrc
%_datadir/config/ktalkdrc
#
#
#
%dir %_datadir/icons/crystalsvg/
%dir %_datadir/icons/crystalsvg/16x16/
%dir %_datadir/icons/crystalsvg/16x16/apps/
%_datadir/icons/crystalsvg/16x16/apps/*.png
#

%dir %_datadir/icons/crystalsvg/22x22/
%dir %_datadir/icons/crystalsvg/22x22/actions/
%_datadir/icons/crystalsvg/22x22/actions/*.png


%dir %_datadir/icons/crystalsvg/32x32/
%dir %_datadir/icons/crystalsvg/32x32/apps/
%_datadir/icons/crystalsvg/32x32/apps/*.png

%dir %_datadir/icons/crystalsvg/48x48/
%dir %_datadir/icons/crystalsvg/48x48/apps/
%_datadir/icons/crystalsvg/48x48/apps/*.png

%dir %_datadir/icons/crystalsvg/48x48/mimetypes/
%_datadir/icons/crystalsvg/48x48/mimetypes/*.png

%dir %_datadir/icons/crystalsvg/64x64/
%dir %_datadir/icons/crystalsvg/64x64/apps/
%_datadir/icons/crystalsvg/64x64/apps/*.png

%dir %_datadir/icons/crystalsvg/128x128/
%dir %_datadir/icons/crystalsvg/128x128/apps/
%_datadir/icons/crystalsvg/128x128/apps/*.png

#
%dir %_datadir/icons/locolor/
%dir %_datadir/icons/locolor/16x16/
%dir %_datadir/icons/locolor/16x16/apps/
%_datadir/icons/locolor/16x16/apps/*.png

%dir %_datadir/icons/locolor/32x32/
%dir %_datadir/icons/locolor/32x32/apps/
%_datadir/icons/locolor/32x32/apps/*.png
#


#
%dir %_datadir/services/
%_datadir/services/*.protocol
%_datadir/services/*.desktop
#
%dir %_datadir/services/kded/
%_datadir/services/kded/*.desktop

%dir %_datadir/servicetypes/
%_datadir/servicetypes/*.desktop


#
#
%dir %_datadir/sounds/
%_datadir/sounds/ktalkd.wav

%dir %_datadir/mimelnk/
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop

%dir %_datadir/apps/ktnef/
%_datadir/apps/ktnef/*.rc
%dir %_datadir/apps/ktnef/icons/
%dir %_datadir/apps/ktnef/icons/locolor/
%dir %_datadir/apps/ktnef/icons/locolor/16x16/
%dir %_datadir/apps/ktnef/icons/locolor/16x16/actions/
%_datadir/apps/ktnef/icons/locolor/16x16/actions/*.png

%dir %_datadir/apps/ktnef/icons/hicolor/
%dir %_datadir/apps/ktnef/icons/hicolor/22x22/
%dir %_datadir/apps/ktnef/icons/hicolor/22x22/actions/

%_datadir/apps/ktnef/icons/hicolor/22x22/actions/*.png


%dir %_datadir/apps/kmail/
%dir %_datadir/apps/kmail/icons/
%dir %_datadir/apps/kmail/icons/crystalsvg/
%dir %_datadir/apps/kmail/icons/crystalsvg/16x16/
%dir %_datadir/apps/kmail/icons/crystalsvg/16x16/actions/
%_datadir/apps/kmail/icons/crystalsvg/16x16/actions/*.png

%dir %_datadir/icons/hicolor/48x48/
%dir %_datadir/icons/hicolor/48x48/apps/
%_datadir/icons/hicolor/48x48/apps/*.png




%files -n %lib_name
%defattr(-,root,root,-)
#
%_libdir/*.la
%_libdir/*.so.*
%_libdir/ksirc.so
%_libdir/kxmlrpcd.so


#
#
%dir %_libdir/kde3/

%_libdir/kde3/khtml_kget.la
%_libdir/kde3/kcm_krfb.la        
%_libdir/kde3/kded_kinetd.la        
%_libdir/kde3/knewsticker_panelapplet.la
%_libdir/kde3/kcm_krfb.so
%_libdir/kde3/kded_kinetd.so
%_libdir/kde3/knewsticker_panelapplet.so
%_libdir/kde3/kcm_ktalkd.la
%_libdir/kde3/kdict_panelapplet.la
%_libdir/kde3/kpf_panelapplet.la
%_libdir/kde3/kcm_ktalkd.so  
%_libdir/kde3/kdict_panelapplet.so
%_libdir/kde3/kpf_panelapplet.so
%_libdir/kde3/kfile_rfc822.la      
%_libdir/kde3/kpfpropertiesdialog.la
%_libdir/kde3/kfile_rfc822.so      
%_libdir/kde3/kpfpropertiesdialog.so
%_libdir/kde3/kcm_xmlrpcd.la
%_libdir/kde3/kcm_knewsticker.la
%_libdir/kde3/kcm_xmlrpcd.so
%_libdir/kde3/kcm_knewsticker.so
%_libdir/kde3/khtml_kget.so*


%_libdir/kde3/kio_sieve.so
%_libdir/kde3/kio_sieve.la





%files -n %lib_name-devel
%defattr(-,root,root,-)
%_includedir/*.h
%dir %_includedir/mimelib/
%_includedir/mimelib/*.h

%dir %_includedir/ktnef/
%_includedir/ktnef/*.h


%_libdir/libkdenetwork.so
%_libdir/libmimelib.so
%_libdir/libkntsrcfilepropsdlg.so



%files -n %name-kppp
%defattr(-,root,root,-)
%dir %_sysconfdir/pam.d/
%config(noreplace) %_sysconfdir/pam.d/kppp


%_bindir/kppp			
%_bindir/kppplogview  

%_menudir/kdenetwork-kppp
#%_menudir/kdenetwork-kcmreslisa     
%_menudir/kdenetwork-kppplogview


%dir %_datadir/applnk/Internet/
%_datadir/applnk/Internet/Kppp.desktop
%_datadir/applnk/Internet/kppplogview.desktop
%dir %_datadir/applnk/Internet/More/
%_datadir/applnk/Internet/More/kppplogview.desktop



%dir %_docdir/HTML/en/kppp/
%doc %_docdir/HTML/en/kppp/common
%doc %_docdir/HTML/en/kppp/*.docbook
%doc %_docdir/HTML/en/kppp/*.fig
%doc %_docdir/HTML/en/kppp/*.png
%doc %_docdir/HTML/en/kppp/*.question
%doc %_docdir/HTML/en/kppp/*.txt
%doc %_docdir/HTML/en/kppp/*.bz2

%dir %_datadir/apps/kppp/
%dir %_datadir/apps/kppp/Provider/
%dir %_datadir/apps/kppp/Provider/Austria/
%_datadir/apps/kppp/Provider/Austria/.directory
%_datadir/apps/kppp/Provider/Austria/Simon%032Media
#
%dir %_datadir/apps/kppp/Provider/Czech_Republic/
%_datadir/apps/kppp/Provider/Czech_Republic/.directory
%_datadir/apps/kppp/Provider/Czech_Republic/AICOM
%_datadir/apps/kppp/Provider/Czech_Republic/BohemiaNet  
%_datadir/apps/kppp/Provider/Czech_Republic/ES-servis       
%_datadir/apps/kppp/Provider/Czech_Republic/HP-NET           
%_datadir/apps/kppp/Provider/Czech_Republic/KPNQuest  
%_datadir/apps/kppp/Provider/Czech_Republic/SeverNET
%_datadir/apps/kppp/Provider/Czech_Republic/ARsystem  
%_datadir/apps/kppp/Provider/Czech_Republic/Brailcom    
%_datadir/apps/kppp/Provider/Czech_Republic/Econnect        
%_datadir/apps/kppp/Provider/Czech_Republic/INTERNET_OnLine  
%_datadir/apps/kppp/Provider/Czech_Republic/M-soft    
%_datadir/apps/kppp/Provider/Czech_Republic/Video_OnLine
%_datadir/apps/kppp/Provider/Czech_Republic/ASYS      
%_datadir/apps/kppp/Provider/Czech_Republic/CITYNET     
%_datadir/apps/kppp/Provider/Czech_Republic/Falco_computer  
%_datadir/apps/kppp/Provider/Czech_Republic/INTERNEXT        
%_datadir/apps/kppp/Provider/Czech_Republic/Nextra    
%_datadir/apps/kppp/Provider/Czech_Republic/Volny
%_datadir/apps/kppp/Provider/Czech_Republic/ApexNet   
%_datadir/apps/kppp/Provider/Czech_Republic/Contactel   
%_datadir/apps/kppp/Provider/Czech_Republic/Fortech         
%_datadir/apps/kppp/Provider/Czech_Republic/IQNET            
%_datadir/apps/kppp/Provider/Czech_Republic/ProfiNet
#
%dir %_datadir/apps/kppp/Provider/Denmark/
%_datadir/apps/kppp/Provider/Denmark/.directory
%_datadir/apps/kppp/Provider/Denmark/Get2Net
#
%dir %_datadir/apps/kppp/Provider/Germany/
%_datadir/apps/kppp/Provider/Germany/.directory
%_datadir/apps/kppp/Provider/Germany/CityWeb
%_datadir/apps/kppp/Provider/Germany/FH%032Rhein%032Sieg%032%040Informatik%041
%_datadir/apps/kppp/Provider/Germany/MUC%046DE
%_datadir/apps/kppp/Provider/Germany/Netsurf
#
%dir %_datadir/apps/kppp/Provider/Netherlands/
%_datadir/apps/kppp/Provider/Netherlands/*
%_datadir/apps/kppp/Provider/Netherlands/.directory

#
%dir %_datadir/apps/kppp/Provider/NewZealand/
%_datadir/apps/kppp/Provider/NewZealand/.directory
%_datadir/apps/kppp/Provider/NewZealand/OrconInternet
%_datadir/apps/kppp/Provider/NewZealand/Paradise
%_datadir/apps/kppp/Provider/NewZealand/Voyager
%_datadir/apps/kppp/Provider/NewZealand/XTRA
%_datadir/apps/kppp/Provider/NewZealand/ihug
#
%dir %_datadir/apps/kppp/Provider/Norway/
%_datadir/apps/kppp/Provider/Norway/.directory
%_datadir/apps/kppp/Provider/Norway/BGNett
%_datadir/apps/kppp/Provider/Norway/Institutt%032for%032informatikk
#
%dir %_datadir/apps/kppp/Provider/Portugal/
%_datadir/apps/kppp/Provider/Portugal/.directory
%_datadir/apps/kppp/Provider/Portugal/Clix
%_datadir/apps/kppp/Provider/Portugal/Netc
%_datadir/apps/kppp/Provider/Portugal/OniNet
#
%dir %_datadir/apps/kppp/Provider/Sweden/
%_datadir/apps/kppp/Provider/Sweden/.directory
%_datadir/apps/kppp/Provider/Sweden/Utfors
%_datadir/apps/kppp/Provider/Sweden/Tiscali
#
%dir %_datadir/apps/kppp/Provider/Slovenia/
%_datadir/apps/kppp/Provider/Slovenia/AmisNet
%_datadir/apps/kppp/Provider/Slovenia/Arnes
%_datadir/apps/kppp/Provider/Slovenia/Kiss
%_datadir/apps/kppp/Provider/Slovenia/SiOL
%_datadir/apps/kppp/Provider/Slovenia/Volja
%_datadir/apps/kppp/Provider/Slovenia/MojNet
#
%dir %_datadir/apps/kppp/Provider/Taiwan/
%_datadir/apps/kppp/Provider/Taiwan/.directory
%_datadir/apps/kppp/Provider/Taiwan/EraNet
%_datadir/apps/kppp/Provider/Taiwan/HiNet
%_datadir/apps/kppp/Provider/Taiwan/SeedNet
#
%dir %_datadir/apps/kppp/Provider/United_Kingdom/
%_datadir/apps/kppp/Provider/United_Kingdom/.directory
%_datadir/apps/kppp/Provider/United_Kingdom/Demon%032Green%0322120666
%_datadir/apps/kppp/Provider/United_Kingdom/Demon%032Purple%0322121666
%_datadir/apps/kppp/Provider/United_Kingdom/UK%032Free%032Software%032Network%032ISDN
%_datadir/apps/kppp/Provider/United_Kingdom/UK%032Free%032Software%032Network%032Modem
%_datadir/apps/kppp/Provider/United_Kingdom/UKPOST%032ISDN
%_datadir/apps/kppp/Provider/United_Kingdom/UKPOST%032Modem
%_datadir/apps/kppp/Provider/United_Kingdom/Demon%032Red%0320798666

%_datadir/apps/kppp/Provider/United_Kingdom/FreeServe

%dir %_datadir/apps/kppp/Provider/Switzerland/
%_datadir/apps/kppp/Provider/Switzerland/Bluewin
#
%dir %_datadir/apps/kppp/Provider/Ukraine/
%_datadir/apps/kppp/Provider/Ukraine/Adamant
%_datadir/apps/kppp/Provider/Ukraine/IPTelecom
%_datadir/apps/kppp/Provider/Ukraine/NuVse
%_datadir/apps/kppp/Provider/Ukraine/.directory
#
%dir %_datadir/apps/kppp/Provider/Yugoslavia/
%_datadir/apps/kppp/Provider/Yugoslavia/BeoTelNet
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Bar.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Berane.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.BijeloPolje.CG.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Budva.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Cetinje.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.HercegNovi.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Kotor.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Niksic.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Pljevlja.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Podgorica.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Tivat.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Ulcinj.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.yu
%_datadir/apps/kppp/Provider/Yugoslavia/DrenikNet
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetBeograd
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetCacak
%_datadir/apps/kppp/Provider/Yugoslavia/EUnet@Full
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetKragujevac
%_datadir/apps/kppp/Provider/Yugoslavia/EUnet@Lite
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetNis
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetNoviSad
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetPristina
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetSombor
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetSubotica
%_datadir/apps/kppp/Provider/Yugoslavia/InfoSKY
%_datadir/apps/kppp/Provider/Yugoslavia/PTT
%_datadir/apps/kppp/Provider/Yugoslavia/SCnet
%_datadir/apps/kppp/Provider/Yugoslavia/Sezampro
%_datadir/apps/kppp/Provider/Yugoslavia/VeratNet
%_datadir/apps/kppp/Provider/Yugoslavia/YUBCnet
#%_datadir/apps/kppp/Provider/Yugoslavia/041_1xx_xxx.rst
#%_datadir/apps/kppp/Provider/Yugoslavia/041_2xx_xxx.rst
#%_datadir/apps/kppp/Provider/Yugoslavia/041_3xx_xxx.rst
#%_datadir/apps/kppp/Provider/Yugoslavia/041_4xx_xxx.rst
#%_datadir/apps/kppp/Provider/Yugoslavia/041_5xx_xxx.rst
#%_datadir/apps/kppp/Provider/Yugoslavia/041_9xx_xxx.rst
%_datadir/apps/kppp/Provider/Yugoslavia/TippNet
%_datadir/apps/kppp/Provider/Yugoslavia/SuOnline
%_datadir/apps/kppp/Provider/Yugoslavia/041Net
#%_datadir/apps/kppp/Provider/Yugoslavia/III_zona-preko_200km.rst
#%_datadir/apps/kppp/Provider/Yugoslavia/II_zona-do_200km.rst
#%_datadir/apps/kppp/Provider/Yugoslavia/I_zona-ista_mreza.rst
#%_datadir/apps/kppp/Provider/Yugoslavia/Lokalni_poziv.rst
#

#
%dir %_datadir/apps/kppp/Rules/
%_datadir/apps/kppp/Rules/TEMPLATE
%_datadir/apps/kppp/Rules/checkrules
#
%dir %_datadir/apps/kppp/Rules/Argentina/
%_datadir/apps/kppp/Rules/Argentina/*.rst
#
%dir %_datadir/apps/kppp/Rules/Australia/
%_datadir/apps/kppp/Rules/Australia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/
%dir %_datadir/apps/kppp/Rules/Austria/Business_1/
%_datadir/apps/kppp/Rules/Austria/Business_1/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/Business_2/
%_datadir/apps/kppp/Rules/Austria/Business_2/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/Minimum/
%_datadir/apps/kppp/Rules/Austria/Minimum/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/Standard/
%_datadir/apps/kppp/Rules/Austria/Standard/*.rst
#
%dir %_datadir/apps/kppp/Rules/Bangladesh/
%_datadir/apps/kppp/Rules/Bangladesh/*.rst
#
%dir %_datadir/apps/kppp/Rules/Belgium/
%_datadir/apps/kppp/Rules/Belgium/*.rst
#
%dir %_datadir/apps/kppp/Rules/Brasil/
%_datadir/apps/kppp/Rules/Brasil/*.rst
#
%dir %_datadir/apps/kppp/Rules/Croatia/
%_datadir/apps/kppp/Rules/Croatia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Czechia/
%_datadir/apps/kppp/Rules/Czechia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Denmark/
%_datadir/apps/kppp/Rules/Denmark/*.rst
#
#
%dir %_datadir/apps/kppp/Rules/Estonia/
%_datadir/apps/kppp/Rules/Estonia/*.rst
#
%dir %_datadir/apps/kppp/Rules/France/
%_datadir/apps/kppp/Rules/France/*.rst
#
%dir %_datadir/apps/kppp/Rules/Finland/
%_datadir/apps/kppp/Rules/Finland/*.rst
#
%dir %_datadir/apps/kppp/Rules/Germany/
%_datadir/apps/kppp/Rules/Germany/*.rst
#
%dir %_datadir/apps/kppp/Rules/Greece/
%_datadir/apps/kppp/Rules/Greece/*.rst
#
%dir %_datadir/apps/kppp/Rules/Hong_Kong/
%_datadir/apps/kppp/Rules/Hong_Kong/*.rst
#
%dir %_datadir/apps/kppp/Rules/Hungary/
%_datadir/apps/kppp/Rules/Hungary/*.rst
#
%dir %_datadir/apps/kppp/Rules/Iceland/
%_datadir/apps/kppp/Rules/Iceland/*.rst
#
%dir %_datadir/apps/kppp/Rules/India/
%_datadir/apps/kppp/Rules/India/*.rst
#
%dir %_datadir/apps/kppp/Rules/Indonesia/
%_datadir/apps/kppp/Rules/Indonesia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Ireland/
%_datadir/apps/kppp/Rules/Ireland/*.rst
#
%dir %_datadir/apps/kppp/Rules/Israel/
%_datadir/apps/kppp/Rules/Israel/*.rst
#
%dir %_datadir/apps/kppp/Rules/Italy/
%_datadir/apps/kppp/Rules/Italy/*.rst
#
%dir %_datadir/apps/kppp/Rules/Jamaica/
%_datadir/apps/kppp/Rules/Jamaica/*.rst
#
%dir %_datadir/apps/kppp/Rules/Japan/
%_datadir/apps/kppp/Rules/Japan/*.rst
#
%dir %_datadir/apps/kppp/Rules/Kazakhstan/
%_datadir/apps/kppp/Rules/Kazakhstan/*.rst
#
%dir %_datadir/apps/kppp/Rules/Luxembourg/
%_datadir/apps/kppp/Rules/Luxembourg/*.rst
#
%dir %_datadir/apps/kppp/Rules/Malaysia/
%_datadir/apps/kppp/Rules/Malaysia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Macedonia/
%_datadir/apps/kppp/Rules/Macedonia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Netherlands/
%_datadir/apps/kppp/Rules/Netherlands/*.rst
%_datadir/apps/kppp/Rules/Netherlands/Cistron
%_datadir/apps/kppp/Rules/Netherlands/Wannadoo_Budget_Plus
#
%dir %_datadir/apps/kppp/Rules/Norway/
%_datadir/apps/kppp/Rules/Norway/*.rst
#
%dir %_datadir/apps/kppp/Rules/Poland/
%_datadir/apps/kppp/Rules/Poland/*.rst
#
%dir %_datadir/apps/kppp/Rules/Portugal/
%_datadir/apps/kppp/Rules/Portugal/*.rst
#
%dir %_datadir/apps/kppp/Rules/Romania/
%_datadir/apps/kppp/Rules/Romania/*.rst
#
#
%dir %_datadir/apps/kppp/Rules/Russia/
%_datadir/apps/kppp/Rules/Russia/*.rst
%_datadir/apps/kppp/Rules/Russia/*.ru
#
%dir %_datadir/apps/kppp/Rules/Singapore/
%_datadir/apps/kppp/Rules/Singapore/*.rst
#
%dir %_datadir/apps/kppp/Rules/Slovakia/
%_datadir/apps/kppp/Rules/Slovakia/*.rst

%dir %_datadir/apps/kppp/Rules/Slovenia/
%_datadir/apps/kppp/Rules/Slovenia/*.rst
#
%dir %_datadir/apps/kppp/Rules/South_Afrika/
%_datadir/apps/kppp/Rules/South_Afrika/*.rst
#
%dir %_datadir/apps/kppp/Rules/Spain/
%_datadir/apps/kppp/Rules/Spain/*.rst
#
%dir %_datadir/apps/kppp/Rules/Sweden/
%_datadir/apps/kppp/Rules/Sweden/*.rst

%dir %_datadir/apps/kppp/Rules/Switzerland/
%_datadir/apps/kppp/Rules/Switzerland/*.rst
#
%dir %_datadir/apps/kppp/Rules/Turkey/
%_datadir/apps/kppp/Rules/Turkey/*.rst
#
%dir %_datadir/apps/kppp/Rules/United_Kingdom/
%_datadir/apps/kppp/Rules/United_Kingdom/*.rst
#
%dir %_datadir/apps/kppp/Rules/Uruguay/
%_datadir/apps/kppp/Rules/Uruguay/*.rst
#
%dir %_datadir/apps/kppp/Rules/Ukraine/
%_datadir/apps/kppp/Rules/Ukraine/*.rst
%_datadir/apps/kppp/Rules/Ukraine/*.uk
#
%dir %_datadir/apps/kppp/Rules/Yugoslavia/
%_datadir/apps/kppp/Rules/Yugoslavia/*.rst
#
%dir %_datadir/apps/kppp/pics/
%_datadir/apps/kppp/pics/*.png


%files -n lisa
%defattr(-,root,root)
%_bindir/lisa
%_bindir/reslisa

%_menudir/kdenetwork-kcmlisa
%_menudir/kdenetwork-kcmreslisa



%_libdir/kde3/kio_lan.la
%_libdir/kde3/kio_lan.so*

%_libdir/kde3/kcm_lanbrowser.la
%_libdir/kde3/kcm_lanbrowser.so*


%dir %_datadir/applnk/.hidden/
%_datadir/applnk/.hidden/kcmlisa.desktop
%_datadir/applnk/.hidden/kcmreslisa.desktop

%dir %_datadir/services/
%_datadir/services/lan.protocol
%_datadir/services/rlan.protocol

%dir %_datadir/apps/lisa/
%_datadir/apps/lisa/README

%dir %_docdir/HTML/en/lisa
%doc %_docdir/HTML/en/lisa/common
%doc %_docdir/HTML/en/lisa/*.bz2
%doc %_docdir/HTML/en/lisa/*.docbook

%config(noreplace) /etc/rc.d/init.d/lisa

%changelog
* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-1mdk
- Fix package

